{ "status_code": 403, "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141", "error_type": "session_authorization_error", "error_message": "The Member is not authorized to perform the requested action on that resource.", "error_url": "https://stytch.com/docs/api/errors/403"}
{ "status_code": 429, "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141", "error_type": "too_many_requests", "error_message": "Too many requests have been made.", "error_url": "https://stytch.com/docs/api/errors/429"}
{ "status_code": 500, "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141", "error_type": "internal_server_error", "error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.", "error_url": "https://stytch.com/docs/api/errors/500"}
{ "status_code": 403, "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141", "error_type": "session_authorization_error", "error_message": "The Member is not authorized to perform the requested action on that resource.", "error_url": "https://stytch.com/docs/api/errors/403"}
{ "status_code": 429, "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141", "error_type": "too_many_requests", "error_message": "Too many requests have been made.", "error_url": "https://stytch.com/docs/api/errors/429"}
{ "status_code": 500, "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141", "error_type": "internal_server_error", "error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.", "error_url": "https://stytch.com/docs/api/errors/500"}
Organization
Invite Member via Email Magic Link
Invite a new Member to your Organization using the Stytch React SDK
{ "status_code": 403, "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141", "error_type": "session_authorization_error", "error_message": "The Member is not authorized to perform the requested action on that resource.", "error_url": "https://stytch.com/docs/api/errors/403"}
{ "status_code": 429, "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141", "error_type": "too_many_requests", "error_message": "Too many requests have been made.", "error_url": "https://stytch.com/docs/api/errors/429"}
{ "status_code": 500, "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141", "error_type": "internal_server_error", "error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.", "error_url": "https://stytch.com/docs/api/errors/500"}
{ "status_code": 403, "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141", "error_type": "session_authorization_error", "error_message": "The Member is not authorized to perform the requested action on that resource.", "error_url": "https://stytch.com/docs/api/errors/403"}
{ "status_code": 429, "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141", "error_type": "too_many_requests", "error_message": "Too many requests have been made.", "error_url": "https://stytch.com/docs/api/errors/429"}
{ "status_code": 500, "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141", "error_type": "internal_server_error", "error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.", "error_url": "https://stytch.com/docs/api/errors/500"}
magicLinks.email.invite wraps the Send Invite Email endpoint.Use this method to invite a new to an via email.
RBAC Enforced MethodThis method requires a valid Session for a member with permission to perform the Action on the Resource.Before using this method, enable Member actions & organization modifications in the Frontend SDK page. To learn more, see our RBAC guide.
The organization_id will be automatically inferred from the logged-in Member’s session.To revoke an existing invite, use the Delete Member method. This will both delete the invited Member from the target Organization and revoke all existing invite emails.
Parameters
string
required
The email address of the user that the currently logged-in Member would like to invite to their Organization.
string
The URL that the Member clicks from the invite Email Magic Link. This URL should be an endpoint in the backend server that verifies the request by querying Stytch’s authenticate endpoint and finishes the invite flow.If this value is not passed, the default invite_redirect_url that you set in your Dashboard is used. If you have not set a default invite_redirect_url, an error is returned.
string
Use a custom template for invite emails. By default, it will use your default email template. Templates can be added in the Stytch dashboard using our built-in customization options or custom HTML templates with type “Magic Links - Invite”.
number
The expiration of the Magic Link sent in the invite email, in minutes. Defaults to 7 days. The minimum expiration is 5 minutes and the maximum is 10080 mins (7 days).
string
The name of the Member.
string[]
Roles to explicitly assign to this Member.
object
An arbitrary JSON object of application-specific data. These fields can be edited directly by the frontend SDK, and should not be used to store critical information. See the Metadata resource for complete field behavior details.
string
Used to determine which language to use when sending the user this delivery method. Parameter is an IETF BCP 47 language tag, e.g. “en”.Supported languages are English (“en”), Spanish (“es”), French (“fr”) and Brazilian Portuguese (“pt-br”); if no value is provided, the copy defaults to English.
Response
string
The ID of the invited Member.
object
The invited Member.
Show properties
string
Globally unique UUID that identifies a specific Organization.
string
Globally unique UUID that identifies a specific Member.
string
The ID of the Member given by the identity provider.
string
The email address of the Member.
boolean
Whether or not the Member’s email address is verified.
string
The status of the Member. The possible values are: pending, invited, active, or deleted.
string
The name of the Member.
object[]
An array of registered SAML Connection or OIDC Connection objects the Member has authenticated with.
Show sso_registration properties
string
Globally unique UUID that identifies a specific SSO connection_id for a Member.
string
The unique ID of an SSO Registration.
string
The ID of the Member given by the identity provider.
object
An object for storing SSO attributes brought over from the identity provider.
object
Sets whether the Member is enrolled in MFA.
Show sso_registration properties
string
The id of the SCIM Connection.
string
The unique ID of a SCIM Registration.
string
The ID of the Member given by the identity provider.
object
An object for storing SCIM attributes brought over from the identity provider.
boolean
Identifies the Member as a break glass user - someone who has permissions to authenticate into an Organization by bypassing the Organization’s settings.A break glass account is typically used for emergency purposes to gain access outside of normal authentication procedures. Refer to the Organization object and its auth_methods and allowed_auth_methods fields for more details.
string
Globally unique UUID that identifies a Member’s password.
object[]
A list of OAuth registrations for this Member.
Show oauth_registrations properties
string
Denotes the OAuth identity provider that the user has authenticated with, e.g. Google, Microsoft, GitHub etc.
string
The unique identifier for the User within a given OAuth provider. Also commonly called the sub or “Subject field” in OAuth protocols.
string
If available, the profile_picture_url is a URL of the User’s profile picture set in the OAuth identity provider that the User has authenticated with, e.g. Google profile picture.
string
If available, the locale is the Member’s locale set in the OAuth identity provider that the user has authenticated with.
string
The unique ID of an OAuth registration.
boolean
Sets whether the Member is enrolled in MFA.If true, the Member must complete an MFA step whenever they wish to log in to their Organization.If false, the Member only needs to complete an MFA step if the Organization’s MFA policy is set to REQUIRED_FOR_ALL.
string
The Member’s phone number. A Member may only have one phone number.The phone number should be in E.164 format (i.e. +1XXXXXXXXXX).
boolean
Whether or not the Member’s phone number is verified.
object[]
A list of retired email addresses for this Member. A previously active email address can be marked as retired in one of two ways:
It’s replaced with a new primary email address during an explicit Member update.
A new email address is surfaced by an OAuth, SAML or OIDC provider. In this case the new email address becomes the Member’s primary email address and the old primary email address is retired. A retired email address cannot be used by other Members in the same Organization. However, unlinking retired email addresses allows them to be subsequently re-used by other Organization Members. Retired email addresses can be unlinked using the Unlink Retired Email endpoint.
Show properties
string
The globally unique UUID of a Member’s email.
string
The email address of the Member.
object
An arbitrary JSON object for storing application-specific data or identity-provider-specific data.
object
An arbitrary JSON object of application-specific data. These fields can be edited directly by the frontend SDK, and should not be used to store critical information. See the Metadata resource for complete field behavior details.
object[]
Explicit or implicit Roles assigned to this Member, along with details about the role assignment source. See the RBAC guide for more information about role assignment.
Show roles properties
string
The unique identifier of the RBAC Role, provided by the developer and intended to be human-readable.Reserved role_ids that are predefined by Stytch include:
A list of sources for this role assignment. A role assignment can come from multiple sources - for example, the Role could be both explicitly assigned and implicitly granted from the Member’s email domain.
Show sources properties
string
The type of role assignment. The possible values are:
direct_assignment – an explicitly assigned Role. Directly assigned roles can be updated by passing in the roles argument to the Update Member endpoint.
email_assignment – an implicit Role granted by the Member’s email domain, regardless of their login method. Email implicit role assignments can be updated by passing in the rbac_email_implicit_role_assignments argument to the Update Organization endpoint.
sso_connection – an implicit Role granted by the Member’s SSO connection. This is currently only available for SAML connections and not for OIDC. If the Member has a SAML Member registration with the given connection, this role assignment will appear in the list. However, for authorization check purposes (in sessions authenticate or in any endpoint that enforces RBAC with session headers), the Member will only be granted the Role if their session contains an authentication factor with the specified SAML connection. SAML connection implicit role assignments can be updated by passing in the saml_connection_implicit_role_assignments argument to the Update SAML connection endpoint.
sso_connection_group – an implicit Role granted by the Member’s SSO connection and group. This is currently only available for SAML connections and not for OIDC. If the Member has a SAML Member registration with the given connection, and belongs to a specific group within the IdP, this role assignment will appear in the list. However, for authorization check purposes (in sessions authenticate or in any endpoint that enforces RBAC with session headers), the Member will only be granted the role if their session contains an authentication factor with the specified SAML connection.
scim_connection_group – an implicit Role granted by the Member’s SCIM connection and group. If the Member has a SCIM Member registration with the given connection, and belongs to a specific group within the IdP, this role assignment will appear in the list. SCIM group implicit role assignments can be updated by passing in the scim_group_implicit_role_assignments argument to the Update SCIM connection endpoint.
object
An object containing additional metadata about the source assignment. The fields will vary depending on the role assignment type as follows:
direct_assignment – no additional details.
email_assignment – will contain the email domain that granted the assignment.
sso_connection – will contain the connection_id of the SAML connection that granted the assignment.
sso_connection_group – will contain the connection_id of the SAML connection and the name of the group that granted the assignment.
scim_connection_group – will contain the connection_id of the SAML connection and the group_id that granted the assignment.
boolean
Whether or not the Member has the stytch_admin Role. This Role is automatically granted to Members who create an Organization through the discovery flow. See the RBAC guide for more details on this Role.
string
The date and time the Member was created.
string
The date and time the Member was last updated.
object
The Organization that the Member was invited to.
Show organization properties
string
Globally unique UUID that identifies a specific Organization. The organization_id is critical to perform operations on an Organization, so be sure to preserve this value. You may also use the organization_slug or organization_external_id here as a convenience.
string
The name of the Organization. Must be between 1 and 128 characters in length.
string
The image URL of the Organization logo.
string
The unique URL slug of the Organization.The slug only accepts alphanumeric characters and the following reserved characters: - . _ ~. Must be between 2 and 128 characters in length.Wherever an organization_id is expected in a path or request parameter, you may also use the organization_slug as a convenience.
Globally unique UUID that identifies a specific SSO connection_id for a Member.
string
A human-readable display name for the connection.
array[strings]
An array of email domains that allow invites or JIT provisioning for new Members. This list is enforced when either email_invites or email_jit_provisioning is set to RESTRICTEDCommon domains such as gmail.com are not allowed. See the full list of disallowed common email domains.
string
The authentication setting that controls how a new Member can be provisioned by authenticating via Email Magic Link or OAuth. The accepted values are:
RESTRICTED – only new Members with verified emails that comply with email_allowed_domains can be provisioned upon authentication via Email Magic Link or OAuth
NOT_ALLOWED – the default setting, disables JIT provisioning via Email Magic Link and OAuth
string
The setting that controls which authentication methods can be used by Members of an Organization. The accepted values are:
ALL_ALLOWED – the default setting which allows all authentication methods to be used
RESTRICTED – only methods that comply with allowed_auth_methods can be used for authentication. This setting does not apply to Members with is_breakglass set to true
array[strings]
An array of allowed authentication methods. This list is enforced when auth_methods is set to RESTRICTED. The list’s accepted values are: sso, magic_link, email_otp, password, google_oauth, microsoft_oauth, slack_oauth, github_oauth, and hubspot_oauth.
string
The default connection used for SSO when there are multiple active connections.
string
The authentication setting that controls how a new Member can JIT provision into an Organization by tenant. The accepted values are:
RESTRICTED – only new Members with tenants in allowed_oauth_tenants can JIT provision via tenant
NOT_ALLOWED – the default setting, disables JIT provisioning by OAuth Tenant
object
A map of allowed OAuth tenants. If this field is not passed in, the Organization will not allow JIT provisioning by OAuth Tenant. Allowed keys are “slack”, “hubspot”, and “github”.
string
Globally unique UUID that is returned with every API call. This value is important to log for debugging purposes; we
may ask for this value to help identify a specific API call when helping you debug an issue.
number
The HTTP status code of the response. Stytch follows standard HTTP response status code patterns, e.g. 2XX values
equate to success, 3XX values are redirects, 4XX are client errors, and 5XX are server errors.
Assistant
Responses are generated using AI and may contain mistakes.